WorkflowRuntime (CMDB Model API)
Keywords: com.collation.platform.model.workflow.WorkflowRuntime interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.workflow
Interface WorkflowRuntime

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface WorkflowRuntime

extends ModelObject

Workflow runtime

Naming Rules:
  0="runtimeId"
Persistable:
  true
Table Name:
  WORKFLOWRT
Display Name:
  name

Field Summary
`static int` | `ABORTED`
`static int` | `ACTIVE`
`static int` | `COMPLETED`
`static int` | `NOT_STARTED`
`static int` | `PENDING_ROLLBACK`

Method Summary
`long` | `getAbortedTime()`
`long` | `getCompletionTime()`
`long` | `getDueTime()`
`int` | `getErrorCount()`
`long` | `getErrorTime()`
`java.lang.String` | `getName()`
`long` | `getRollbackTime()`
`long` | `getRuntimeId()`
`boolean` | `getSimulation()`
`TaskRuntime[]` | `getStartTasks()`
`long` | `getStartTime()`
`int` | `getStatus()`
`int` | `getTaskCount()`
`TaskRuntime[]` | `getTasks()`
`Transition[]` | `getTransitions()`
`boolean` | `hasAbortedTime()`
`boolean` | `hasCompletionTime()`
`boolean` | `hasDueTime()`
`boolean` | `hasErrorCount()`
`boolean` | `hasErrorTime()`
`boolean` | `hasName()`
`boolean` | `hasRollbackTime()`
`boolean` | `hasRuntimeId()`
`boolean` | `hasSimulation()`
`boolean` | `hasStartTasks()`
`boolean` | `hasStartTime()`
`boolean` | `hasStatus()`
`boolean` | `hasTaskCount()`
`boolean` | `hasTasks()`
`boolean` | `hasTransitions()`
`void` | `setAbortedTime(long time)`
`void` | `setCompletionTime(long time)`
`void` | `setDueTime(long time)`
`void` | `setErrorCount(int count)`
`void` | `setErrorTime(long time)`
`void` | `setName(java.lang.String name)`
`void` | `setRollbackTime(long time)`
`void` | `setRuntimeId(long id)`
`void` | `setSimulation(boolean s)`
`void` | `setStartTasks(TaskRuntime[] tasks)`
`void` | `setStartTime(long time)`
`void` | `setStatus(int status)`
`void` | `setTaskCount(int c)`
`void` | `setTasks(TaskRuntime[] tasks)`
`void` | `setTransitions(Transition[] txns)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### NOT_STARTED

    static final int NOT_STARTED

See Also:
  Constant Field Values

### ACTIVE

    static final int ACTIVE

See Also:
  Constant Field Values

### COMPLETED

    static final int COMPLETED

See Also:
  Constant Field Values

### PENDING_ROLLBACK

    static final int PENDING_ROLLBACK

See Also:
  Constant Field Values

### ABORTED

    static final int ABORTED

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getRuntimeId

    long getRuntimeId()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRuntimeId

    void setRuntimeId(long id)

### hasRuntimeId

    boolean hasRuntimeId()

### getTasks

    TaskRuntime[] getTasks()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTasks

    void setTasks(TaskRuntime[] tasks)

### hasTasks

    boolean hasTasks()

### getTransitions

    Transition[] getTransitions()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransitions

    void setTransitions(Transition[] txns)

### hasTransitions

    boolean hasTransitions()

### getStartTime

    long getStartTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartTime

    void setStartTime(long time)

### hasStartTime

    boolean hasStartTime()

### getDueTime

    long getDueTime()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDueTime

    void setDueTime(long time)

### hasDueTime

    boolean hasDueTime()

### getErrorTime

    long getErrorTime()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setErrorTime

    void setErrorTime(long time)

### hasErrorTime

    boolean hasErrorTime()

### getCompletionTime

    long getCompletionTime()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompletionTime

    void setCompletionTime(long time)

### hasCompletionTime

    boolean hasCompletionTime()

### getRollbackTime

    long getRollbackTime()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRollbackTime

    void setRollbackTime(long time)

### hasRollbackTime

    boolean hasRollbackTime()

### getAbortedTime

    long getAbortedTime()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAbortedTime

    void setAbortedTime(long time)

### hasAbortedTime

    boolean hasAbortedTime()

### getStatus

    int getStatus()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStatus

    void setStatus(int status)

### hasStatus

    boolean hasStatus()

### getSimulation

    boolean getSimulation()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSimulation

    void setSimulation(boolean s)

### hasSimulation

    boolean hasSimulation()

### getErrorCount

    int getErrorCount()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setErrorCount

    void setErrorCount(int count)

### hasErrorCount

    boolean hasErrorCount()

### getStartTasks

    TaskRuntime[] getStartTasks()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartTasks

    void setStartTasks(TaskRuntime[] tasks)

### hasStartTasks

    boolean hasStartTasks()

### getTaskCount

    int getTaskCount()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTaskCount

    void setTaskCount(int c)

### hasTaskCount

    boolean hasTaskCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD